var shell = new ActiveXObject('WScript.Shell');	
var currentSearchID = "";

//Search Strings
var googlestring = "https://www.google.com/search?client=ms-google-coop&cx=partner-pub-9189756092389553:n2h1ho-t2vr&q=";
var bingstring = "https://www.bing.com/search?form=QBLH&filt=all&q=";
var wikipediastring = "https://en.wikipedia.org/wiki/Special:Search?go=Go&search=";
var amazonstring = "";
var yahoostring = "https://search.yahoo.com/search?vc=&fr=yfp-t-501&toggle=1&cop=mss&ei=UTF-8&fp_ip=AU&p=";

var ebaystring = "";
var youtubestring = "https://www.youtube.com/results?search_type=&aq=f&search_query=";
var imdbstring = "https://www.imdb.com/find?s=all&q=";
var cnetstring = "https://www.cnet.com/1770-5_1-0.html?tag=srch&query=";
var metacriticstring = "https://www.metacritic.com/search/all/";

var askstring = "https://www.ask.com/web?search=&qsrc=0&o=0&l=dir&q=";
var cnnstring = "https://edition.cnn.com/search/?primaryType=mixed&sortBy=date&intl=true&query=";
var myspacestring = "https://www.myspace.com/search/People?q=";
var answersstring = "https://www.answers.com/topic/";
var flickrstring = "https://www.flickr.com/search/?q=";

var dictionarystring = "https://dictionary.reference.com/browse/";
var ehowstring = "https://www.ehow.com/search.html?skin=corporate&q=";
var ignstring = "https://search.ign.com/product?query=";
var mapsstring = "https://maps.google.com/maps?hl=en&um=1&ie=UTF-8&sa=N&tab=il&q=";
var tfwstring = "https://www.thefreewindows.com/search/google.asp?cx=partner-pub-9189756092389553%3Ao7v8cirzfxn&cof=FORID%3A11&ie=ISO-8859-1&q=";

function setLinks()
{
	var amazonlocation = System.Gadget.Settings.read("amazonlocation");

	switch(amazonlocation)
	{
		case "us":
			amazonstring = "https://www.amazon.com/s/ref=nb_ss_gw?url=search-alias%3Daps&tag=e0bf-20&field-keywords=";
			break;
			
		case "uk":		
			amazonstring = "https://www.amazon.co.uk/s?ie=UTF8&x=0&ref_=nb_sb_noss&y=0&url=search-alias%3Daps&field-keywords=";
			break;
					
		default:
			amazonstring = "https://www.amazon.com/s/ref=nb_ss_gw?url=search-alias%3Daps&tag=e0bf-20&field-keywords=";
	}
	
	var ebaylocation = System.Gadget.Settings.read("ebaylocation");
	
	switch(ebaylocation)
	{
		case "us":
			ebaystring = "https://www.ebay.com/sch/i.html?_trksid=p5197.m570.l1313&_sacat=0&_from=R40&_nkw=";
			break;
			
		case "uk":		
			ebaystring = "https://www.ebay.co.uk/sch/i.html?_trksid=p5197.m570.l1313&_sacat=0&_from=R40&_nkw=";
			break;
		
			
		default:
			ebaystring = "https://www.ebay.co.uk/sch/i.html?_trksid=p5197.m570.l1313&_sacat=0&_from=R40&_nkw=";
	}
}


function init()
{
	System.Gadget.settingsUI = "settings.html";
    System.Gadget.onSettingsClosed = settingsClosed;

	setLinks();
	var loadsearch = System.Gadget.Settings.read("currentsearch");

	if (loadsearch)
		currentSearchID = loadsearch;
	else
		currentSearchID = "google";
		
	document.getElementById("logo").src = "img/logos/logo_"+currentSearchID+".png";
}

			
function doSearch()
{
	var searchValue = document.getElementById("searchbox").value;
	
	if (searchValue)
	{
		var searchUrl = eval(currentSearchID+"string") + encodeURIComponent(searchValue);
		
		if (currentSearchID == "metacritic")
			searchUrl += "/results";
			
		shell.Run(searchUrl); return false; 
	}
}

function setSearch(searchID)
{
	if (searchID != currentSearchID)
	{
		document.getElementById("logo").src = "img/logos/logo_"+searchID+".png";
		currentSearchID = searchID;
		System.Gadget.Settings.write("currentsearch", currentSearchID);
	}
}

function settingsClosed()
{
	setLinks();
}